com.google.gwt.core.server

## Class ServerGwtBridge

- java.lang.Object
- - com.google.gwt.core.shared.GWTBridge
  - - com.google.gwt.core.server.ServerGwtBridge

    public class ServerGwtBridge
    extends GWTBridge

Implements GWT.* methods for the server.

### Nested Class Summary

Nested Classes
`static interface` `ServerGwtBridge.ClassInstantiator` Something that knows how to provide an instance of a requested class.
`static class` `ServerGwtBridge.ClassInstantiatorBase` Helper class that provides some wrappers for looking up and instantiating a class.
`static interface` `ServerGwtBridge.Properties` An interface for accessing property values.

### Constructor Summary

Constructors
Constructor and Description
`ServerGwtBridge()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`<T> T` `create(java.lang.Class<?> classLiteral)`
`static ServerGwtBridge` `getInstance()` Get the singleton `ServerGwtBridge` instance, creating it if necessary.
`static GwtLocale` `getLocale(ServerGwtBridge.Properties properties)`
`java.lang.String` `getProperty(java.lang.String property)` Get the value of the named property, preferring a value specific to this thread (see `setThreadProperty(String, String)`) over one that is set globally (see `setGlobalProperty(String, String)`).
`java.lang.String` `getVersion()`
`boolean` `isClient()`
`void` `log(java.lang.String message, java.lang.Throwable e)`
`void` `register(java.lang.Class<?> baseClass, ServerGwtBridge.ClassInstantiator instantiator)` Register an instantiator to be used for any subtypes of a given base class.
`void` `setGlobalProperty(java.lang.String property, java.lang.String value)` Set a property value globally.
`void` `setThreadProperty(java.lang.String property, java.lang.String value)` Set a property value for only the current thread.

### Methods inherited from class com.google.gwt.core.shared.GWTBridge

`getThreadUniqueID`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerGwtBridge

    ServerGwtBridge()

### Method Detail

#### getInstance

    public static ServerGwtBridge getInstance()

Get the singleton `ServerGwtBridge` instance, creating it if necessary. The instance will be registered via `GWT.setBridge(GWTBridge)` and will have the default instantiators registered on it.

Returns:
  the singleton `ServerGwtBridge` instance

#### getLocale

    public static GwtLocale getLocale(ServerGwtBridge.Properties properties)

#### create

    public <T> T create(java.lang.Class<?> classLiteral)

Specified by:
  `create` in class `GWTBridge`

#### getProperty

    public java.lang.String getProperty(java.lang.String property)

Get the value of the named property, preferring a value specific to this thread (see `setThreadProperty(String, String)`) over one that is set globally (see `setGlobalProperty(String, String)`).

Parameters:
  `property` -
Returns:
  the property's value or null if none

#### getVersion

    public java.lang.String getVersion()

Specified by:
  `getVersion` in class `GWTBridge`

#### isClient

    public boolean isClient()

Specified by:
  `isClient` in class `GWTBridge`

#### log

    public void log(java.lang.String message,
                    java.lang.Throwable e)

Specified by:
  `log` in class `GWTBridge`

#### register

    public void register(java.lang.Class<?> baseClass,
                         ServerGwtBridge.ClassInstantiator instantiator)

Register an instantiator to be used for any subtypes of a given base class.

Parameters:
  `baseClass` -
  `instantiator` -

#### setGlobalProperty

    public void setGlobalProperty(java.lang.String property,
                                  java.lang.String value)

Set a property value globally. This value will be overridden by any thread-specific property value of the same name.

Parameters:
  `property` -
  `value` -

#### setThreadProperty

    public void setThreadProperty(java.lang.String property,
                                  java.lang.String value)

Set a property value for only the current thread. This value will override any global property value of the same name.

Parameters:
  `property` -
  `value` -